Welcome! Log In Create A New Profile

Advanced

Re: Trouble configuring PHP 7.1 module for Unit 1.0 on Gentoo Linux

April 13, 2018 08:50AM
> On 13 Apr 2018, at 14:45, Ralph Seichter <m16+nginx@monksofcool.net> wrote:
>
> On 13.04.18 12:52, Igor Sysoev wrote:
>
>> PHP package was built without embed SAPI support.
>> Otherwise it shows something like this:
>> + PHP SAPI: [cli fpm embed apache2handler]
>
> Thanks, Igor. I have rebuilt PHP 7.1 with the following USE flags:
>
> # /etc/portage/package.use/php
> dev-lang/php apache2 embed fpm curl gd intl ldap mysql mysqli \
> pdo sockets xmlreader xmlwriter xslt zip
>
> Although 'embed' is now listed, I still see the error when attempting
> to configure the PHP module:
>
> $ ./configure php --config=/usr/lib64/php7.1/bin/php-config
> configuring PHP module
> checking for PHP ... found
> + PHP SAPI: [embed cli fpm apache2handler]
> checking for PHP embed SAPI ... not found


Could you show the last lines from build/autoconf.err relevant to PHP?


--
Igor Sysoev
http://nginx.com

_______________________________________________
nginx mailing list
nginx@nginx.org
http://mailman.nginx.org/mailman/listinfo/nginx
Subject Author Posted

Unit 1.0 release

Valentin V. Bartenev April 12, 2018 02:36PM

Trouble configuring PHP 7.1 module for Unit 1.0 on Gentoo Linux

Ralph Seichter April 13, 2018 06:16AM

Re: Trouble configuring PHP 7.1 module for Unit 1.0 on Gentoo Linux

Igor Sysoev April 13, 2018 06:54AM

Re: Trouble configuring PHP 7.1 module for Unit 1.0 on Gentoo Linux

Ralph Seichter April 13, 2018 07:46AM

Re: Trouble configuring PHP 7.1 module for Unit 1.0 on Gentoo Linux

Igor Sysoev April 13, 2018 08:50AM

Re: Trouble configuring PHP 7.1 module for Unit 1.0 on Gentoo Linux

Ralph Seichter April 13, 2018 10:26AM

Re: Trouble configuring PHP 7.1 module for Unit 1.0 on Gentoo Linux

Igor Sysoev April 13, 2018 10:42AM

[SOLVED] Re: Trouble configuring PHP 7.1 module for Unit 1.0 on Gentoo Linux

Ralph Seichter April 13, 2018 11:08AM

Re: [SOLVED] Re: Trouble configuring PHP 7.1 module for Unit 1.0 on Gentoo Linux

Igor Sysoev April 13, 2018 11:14AM

Re: Trouble configuring PHP 7.1 module for Unit 1.0 on Gentoo Linux

Ralph Seichter April 13, 2018 12:20PM



Sorry, only registered users may post in this forum.

Click here to login

Online Users

Guests: 66
Record Number of Users: 6 on February 13, 2018
Record Number of Guests: 421 on December 02, 2018
Powered by nginx      Powered by FreeBSD      PHP Powered      Powered by MariaDB      ipv6 ready